Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.convert
Class ReportConverter.StyleFactory

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractObjectFactory
          net.sf.jasperreports.engine.base.JRBaseObjectFactory
              net.sf.jasperreports.engine.convert.ReportConverter.StyleFactory

All Implemented Interfaces:
  JRVisitor

Enclosing class:
  ReportConverter

    protected class ReportConverter.StyleFactory

extends JRBaseObjectFactory

Constructor Summary
`ReportConverter.StyleFactory()`

Method Summary
`JRExpression` | `getExpression(JRExpression expression, boolean assignNotUsedId)`
`JRStyle` | `getStyle(JRStyle style)`
`protected void` | `handleStyleNameReference(JRStyleSetter setter, java.lang.String nameReference)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseObjectFactory
`getAreaPlot, getBand, getBar3DPlot, getBarPlot, getBubblePlot, getCandlestickPlot, getCategoryDataset, getCategorySeries, getCell, getChartAxis, getConditionalStyle, getCrosstabBucket, getCrosstabCell, getCrosstabColumnGroup, getCrosstabDataset, getCrosstabMeasure, getCrosstabParameter, getCrosstabRowGroup, getDataset, getDatasetParameter, getDatasetRun, getDefaultStyleProvider, getExpressionChunk, getField, getGanttDataset, getGanttSeries, getGenericElementParameter, getGroup, getHighLowDataset, getHighLowPlot, getHyperlink, getHyperlinkParameter, getLinePlot, getMeterPlot, getMultiAxisPlot, getParameter, getPie3DPlot, getPieDataset, getPiePlot, getPieSeries, getPropertyExpression, getQuery, getQueryChunk, getReportFont, getReportTemplate, getScatterPlot, getScriptlet, getSection, getSortField, getSubreportParameter, getSubreportReturnValue, getThermometerPlot, getTimePeriodDataset, getTimePeriodSeries, getTimeSeries, getTimeSeriesDataset, getTimeSeriesPlot, getValueDataset, getVariable, getXyDataset, getXySeries, getXyzDataset, getXyzSeries, setDefaultStyleProvider, setStyle, visitBreak, visitChart, visitComponentElement, visitCrosstab, visitElementGroup, visitEllipse, visitFrame, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractObjectFactory
`get, getExpression, getVisitResult, put, setVisitResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportConverter.StyleFactory

    public ReportConverter.StyleFactory()

Method Detail

### getExpression

    public JRExpression getExpression(JRExpression expression,
                                      boolean assignNotUsedId)

  Overrides:
    `getExpression` in class `JRBaseObjectFactory`

### getStyle

    public JRStyle getStyle(JRStyle style)

  Overrides:
    `getStyle` in class `JRBaseObjectFactory`

### handleStyleNameReference

    protected void handleStyleNameReference(JRStyleSetter setter,
                                            java.lang.String nameReference)

  Overrides:
    `handleStyleNameReference` in class `JRBaseObjectFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com